<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="select-cache_result">

 <lire:title>Select Cache Result Filter</lire:title>
 <lire:description>
  <para>This filter specification can be used to select only DLF
   records in the proxy superservice which have a particular
   <type>cache_result</type> value. For example, you could select only
   denied requests by using the value <constant>TCP_DENIED</constant>.
  </para>
 </lire:description>

<lire:param-spec>
  <lire:param name="result" type="string" default="TCP_DENIED">
   <lire:description>
    <para>This parameter is a regular expression which will be used to
     select the codes you want. 
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>$result requests</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$cache_result" re="$result"/>
 </lire:filter-spec>

</lire:global-filter-spec>
